diff --git a/tests/test_flask.py b/tests/test_flask.py
index 02105a7..220fbe8 100644
--- a/tests/test_flask.py
+++ b/tests/test_flask.py
@@ -1804,7 +1762,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not one of the manager of this '
+                '<li class="alert alert-danger">You are not one of the manager of this '
                 'meeting, or an admin, you are not allowed to edit it.</li>',
                 output_text)
             self.assertIn(
@@ -1817,7 +1775,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not one of the manager of this '
+                '<li class="alert alert-danger">You are not one of the manager of this '
                 'meeting, or an admin, you are not allowed to edit it.</li>',
                 output_text)
             self.assertIn(
@@ -1836,7 +1794,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output_text.count('<span class="required">*</span>'), 6)
+                output_text.count('<span class="text-danger">*</span>'), 6)
 
             csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
@@ -1856,7 +1814,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<td>This field is required.</td>', output_text)
+                '<small>This field is required.</small>', output_text)
 
             # No calendar provided
             data = {
@@ -1875,7 +1833,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<td>This field is required.</td>', output_text)
+                '<small>This field is required.</small>', output_text)
             self.assertIn(
                 '<title>Edit meeting - Fedocal</title>', output_text)
 
@@ -1897,7 +1855,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="warnings">The start date of your meeting is '
+                '<li class="alert alert-warning">The start date of your meeting is '
                 'later than the stop date.</li>', output_text)
             self.assertIn(
                 '<title>Edit meeting - Fedocal</title>', output_text)
@@ -1946,7 +1904,7 @@ class Flasktests(Modeltests):
                 self.assertEqual(output.status_code, 200)
                 output_text = output.get_data(as_text=True)
                 self.assertIn(
-                    '<li class="message">Meeting updated</li>', output_text)
+                    '<li class="alert alert-info">Meeting updated</li>', output_text)
                 self.assertIn(
                     '<title>Meeting "guess what?" - Fedocal</title>', output_text)
 
@@ -1970,7 +1928,7 @@ class Flasktests(Modeltests):
                 '<title>test_calendar_disabled - Fedocal</title>',
                 output_text)
             self.assertIn(
-                '<li class="errors">This calendar is &#34;Disabled&#34;, '
+                '<li class="alert alert-danger">This calendar is &#34;Disabled&#34;, '
                 'you are not allowed to add meetings to it anymore.</li>',
                 output_text)
 
@@ -2013,7 +1971,7 @@ class Flasktests(Modeltests):
                 '<title>test_calendar_disabled - Fedocal</title>',
                 output_text)
             self.assertIn(
-                '<li class="errors">This calendar is &#34;Disabled&#34;, '
+                '<li class="alert alert-danger">This calendar is &#34;Disabled&#34;, '
                 'you are not allowed to edit its meetings anymore.</li>',
                 output_text)
 
@@ -2034,7 +1992,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output_text.count('<span class="required">*</span>'), 6)
+                output_text.count('<span class="text-danger">*</span>'), 6)
 
             output = self.app.get(
                 '/meeting/edit/12/?from_date=%s' % TODAY.strftime('%Y-%m-%d'),
@@ -2051,7 +2009,7 @@ class Flasktests(Modeltests):
             self.assertIn(
                 'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output_text.count('<span class="required">*</span>'), 6)
+                output_text.count('<span class="text-danger">*</span>'), 6)
 
     def test_delete_meeting(self):
         """ Test the delete_meeting function. """
@@ -2062,7 +2020,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '"errors">No meeting with this identifier could be found.</',
+                '"alert alert-danger">No meeting with this identifier could be found.</',
                 output_text)
             self.assertIn('<title>Home - Fedocal</title>', output_text)
 
@@ -2070,7 +2028,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not one of the manager of this '
+                '<li class="alert alert-danger">You are not one of the manager of this '
                 'meeting, or an admin, you are not allowed to delete it.</l',
                 output_text)
             self.assertIn(
@@ -2083,7 +2041,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not one of the manager of this '
+                '<li class="alert alert-danger">You are not one of the manager of this '
                 'meeting, or an admin, you are not allowed to delete it.</l',
                 output_text)
             self.assertIn(
@@ -2104,10 +2062,10 @@ class Flasktests(Modeltests):
                 "positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
             self.assertIn(
-                '<input id="confirm_button" type="submit" class="submit positi',
+                '<input id="confirm_button" type="submit" class="btn btn-danger',
                 output_text)
 
             csrf_token = output_text.split(
@@ -2127,7 +2085,7 @@ class Flasktests(Modeltests):
                 "positively sure that's what you want to do?",
                 output_text)
             self.assertIn(
-                'name="confirm_delete" type="checkbox" value="y"><label',
+                "name=\"confirm_delete\" type=\"checkbox\" value=\"y\">\n    <label",
                 output_text)
 
             # Do not delete
@@ -2183,7 +2141,7 @@ class Flasktests(Modeltests):
                 self.assertIn(
                     '<title>test_calendar - Fedocal</title>', output_text)
                 self.assertIn(
-                    '<li class="message">Meeting deleted</li>', output_text)
+                    '<li class="alert alert-info">Meeting deleted</li>', output_text)
 
             # Delete all
             data = {
@@ -2200,7 +2158,7 @@ class Flasktests(Modeltests):
                 self.assertIn(
                     '<title>test_calendar - Fedocal</title>', output_text)
                 self.assertIn(
-                    '<li class="message">Meeting deleted</li>', output_text)
+                    '<li class="alert alert-info">Meeting deleted</li>', output_text)
 
         # Add a meeting to the test_calendar_disabled calendar
         obj = model.Meeting(  # id:16
@@ -2236,7 +2194,7 @@ class Flasktests(Modeltests):
                 '<title>test_calendar_disabled - Fedocal</title>',
                 output_text)
             self.assertTrue(
-                '<li class="errors">This calendar is &#34;Disabled&#34;, '
+                '<li class="alert alert-danger">This calendar is &#34;Disabled&#34;, '
                 'you are not allowed to delete its meetings anymore.</li>',
                 output_text)
 
@@ -2250,13 +2208,13 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn('<title>Home - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="warnings">Invalid referred url</li>', output_text)
+            '<li class="alert alert-warning">Invalid referred url</li>', output_text)
 
         output = self.app.get('/updatetz/',
                               follow_redirects=True)
         self.assertIn('<title>Home - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="warnings">Invalid referred url</li>',
+            '<li class="alert alert-warning">Invalid referred url</li>',
             output_text)
 
     def test_search(self):
@@ -2297,7 +2255,7 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn('<title>Home - Fedocal</title>', output_text)
         self.assertIn(
-            'class="errors">No keyword provided for the search</',
+            'class="alert alert-danger">No keyword provided for the search</',
             output_text)
 
     def test_goto(self):
@@ -2317,7 +2275,7 @@ class Flasktests(Modeltests):
         output_text = output.get_data(as_text=True)
         self.assertIn('<title>Home - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="errors">No calendar specified</li>', output_text)
+            '<li class="alert alert-danger">No calendar specified</li>', output_text)
 
         output = self.app.get('/goto/?calendar=test_calendar',
                               follow_redirects=True)
@@ -2364,7 +2322,7 @@ class Flasktests(Modeltests):
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="errors">Invalid date specified</li>', output_text)
+            '<li class="alert alert-danger">Invalid date specified</li>', output_text)
         self.assertIn(
             '<p>This is a test calendar</p>', output_text)
 
@@ -2376,7 +2334,7 @@ class Flasktests(Modeltests):
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="errors">Invalid date specified</li>', output_text)
+            '<li class="alert alert-danger">Invalid date specified</li>', output_text)
         self.assertIn(
             '<p>This is a test calendar</p>', output_text)
 
@@ -2387,7 +2345,7 @@ class Flasktests(Modeltests):
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
         self.assertIn(
-            '<li class="errors">Invalid date specified</li>', output_text)
+            '<li class="alert alert-danger">Invalid date specified</li>', output_text)
         self.assertIn(
             '<p>This is a test calendar</p>', output_text)
 
@@ -2398,7 +2356,7 @@ class Flasktests(Modeltests):
         self.assertIn(
             '<title>test_calendar - Fedocal</title>', output_text)
         self.assertIn(
-            '="warnings">Dates before 1900 are not allowed</li',
+            '="alert alert-warning">Dates before 1900 are not allowed</li',
             output_text)
         self.assertIn(
             '<p>This is a test calendar</p>', output_text)
@@ -2432,7 +2390,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">No calendar named 1 could be found</li',
+                '<li class="alert alert-danger">No calendar named 1 could be found</li',
                 output_text)
 
             output = self.app.get('/calendar/upload/test_calendar/',
@@ -2440,7 +2398,7 @@ class Flasktests(Modeltests):
             self.assertEqual(output.status_code, 200)
             output_text = output.get_data(as_text=True)
             self.assertIn(
-                '<li class="errors">You are not an admin for this calendar, '
+                '<li class="alert alert-danger">You are not an admin for this calendar, '
                 'you are not allowed to upload a iCalendar file to it.</l',
                 output_text)
             self.assertIn(
@@ -2483,18 +2441,18 @@ class Flasktests(Modeltests):
                                            follow_redirects=True, data=data)
                     self.assertEqual(output.status_code, 200)
                     output_text = output.get_data(as_text=True)
-                    if '<li class="error">' not in output_text:
+                    if '<li class="alert alert-danger">' not in output_text:
                         self.assertIn(
                             '<title>test_calendar - Fedocal</title>',
                             output_text)
                         self.assertIn(
                             '<p>This is a test calendar</p>', output_text)
                         self.assertIn(
-                            'li class="message">Calendar uploaded</li>',
+                            'li class="alert alert-info">Calendar uploaded</li>',
                             output_text)
                     else:
                         self.assertIn(
-                            '<li class="error">The submitted candidate has the '
+                            '<li class="alert alert-danger">The submitted candidate has the '
                             'MIME type &#34;application/octet-stream&#34; which '
                             'is not an allowed MIME type</li>', output_text)
 
@@ -2512,7 +2470,7 @@ class Flasktests(Modeltests):
                     '<title>Upload calendar - Fedocal</title>',
                     output_text)
                 self.assertIn(
-                    '<li class="error">The submitted candidate has the file '
+                    '<li class="alert alert-danger">The submitted candidate has the file '
                     'extension &#34;txt&#34; which is not an allowed '
                     'format</li>', output_text)
 
diff --git a/tests/test_flask_extras.py b/tests/test_flask_extras.py
index 81501da..6244d4a 100644
--- a/tests/test_flask_extras.py
+++ b/tests/test_flask_extras.py
@@ -111,8 +111,8 @@ class ExtrasFlasktests(Modeltests):
 
             # If no date is specified, it returns the next occurence
             self.assertIn(
-                '<input id="meeting_date" name="meeting_date" required type="date" '
-                'value="%s">' % (next_date), output_text
+                '<input class="form-control" id="meeting_date" name="meeting_date" '
+                'required type="date" value="%s">' % (next_date), output_text
             )
 
             # If a date in the future is specified, return the next occurence
@@ -124,8 +124,8 @@ class ExtrasFlasktests(Modeltests):
             output2_text = output2.get_data(as_text=True)
 
             self.assertIn(
-                '<input id="meeting_date" name="meeting_date" required type="date" '
-                'value="%s">' % (TODAY + timedelta(days=28)), output2_text
+                '<input class="form-control" id="meeting_date" name="meeting_date" '
+                'required type="date" value="%s">' % (TODAY + timedelta(days=28)), output2_text
             )
 
             # If an exact date in the future is specified, return that date
@@ -136,8 +136,8 @@ class ExtrasFlasktests(Modeltests):
             output2_text = output2.get_data(as_text=True)
 
             self.assertIn(
-                '<input id="meeting_date" name="meeting_date" required type="date" '
-                'value="%s">' % (TODAY + timedelta(days=14)), output2_text
+                '<input class="form-control" id="meeting_date" name="meeting_date" '
+                'required type="date" value="%s">' % (TODAY + timedelta(days=14)), output2_text
             )
 
             # If an old date in the future is specified, return the first date
@@ -146,8 +146,8 @@ class ExtrasFlasktests(Modeltests):
             output2_text = output2.get_data(as_text=True)
 
             self.assertIn(
-                '<input id="meeting_date" name="meeting_date" required type="date" '
-                'value="%s">' % (TODAY), output2_text
+                '<input class="form-control" id="meeting_date" name="meeting_date" '
+                'required type="date" value="%s">' % (TODAY), output2_text
             )
 
     def test_start_date_delete_meeting_form(self):

